> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Exclusion Group

> Creates a new experiment exclusion group for a title.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ExperimentationExclusionGroupInvalidName | 7022 |
| FeatureNotConfiguredForTitle | 1177 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/experimentation/experimentation.openapi.json post /Experimentation/CreateExclusionGroup
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Experimentation API
  description: APIs for managing experiments.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Experimentation
    description: ''
paths:
  /Experimentation/CreateExclusionGroup:
    post:
      tags:
        - Experimentation
      summary: Create Exclusion Group
      description: |
        Creates a new experiment exclusion group for a title.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | ExperimentationExclusionGroupInvalidName | 7022 |
        | FeatureNotConfiguredForTitle | 1177 |
        | ProductDisabledForTitle | 1609 |
      operationId: CreateExclusionGroup
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExclusionGroupRequest'
        description: >-
          Given a title entity token and exclusion group details, will create a
          new exclusion group for the title.
      responses:
        '200':
          $ref: '#/components/responses/CreateExclusionGroupResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    CreateExclusionGroupRequest:
      description: >-
        Given a title entity token and exclusion group details, will create a
        new exclusion group for the title.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Description:
          description: Description of the exclusion group.
          type: string
        Name:
          description: Friendly name of the exclusion group.
          type: string
      required:
        - Name
      example:
        Name: Commerce Exclusion Group
        Description: Exclusion group for independent, commerce-related experiments
    CreateExclusionGroupResult:
      type: object
      properties:
        ExclusionGroupId:
          description: Identifier of the exclusion group.
          type: string
      example:
        ExclusionGroupId: 00000000-0000-0000-0000-000000000000
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    CreateExclusionGroupResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/CreateExclusionGroupResult'
            example:
              code: 200
              status: OK
              data:
                ExclusionGroupId: 00000000-0000-0000-0000-000000000000
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Create Exclusion Group](/services/playfab/api-references/rest/experimentation/experimentation/create-exclusion-group.md)
- [Exclusion Group in Experiments](/services/playfab/live-service-management/game-configuration/experiments/exclusion-groups.md)
- [exclusion_group_created](/services/playfab/api-references/events/Experimentation/exclusion-group-created.md)
- [exclusion_group_updated](/services/playfab/api-references/events/Experimentation/exclusion-group-updated.md)
- [Get Exclusion Groups](/api-reference/experimentation/get-exclusion-groups.md)
